usergrid.cluster_name=bluemac

###################  Usergrid Persistence Implementation  ####################
#
# Set the persistence implementation to use.  For 2.1+, this should be CP
#
# Valid values: CP or EM
#
usergrid.persistence=CP


# core persistence properties
cassandra.cluster=bluemac
cassandra.url=10.0.4.95,10.0.5.63
cassandra.embedded=false
cassandra.version=2.2.6
#cassandra.timeout=5000

# Max Cassandra connections, applies to both CP and EM
#cassandra.connections=15


cassandra.keyspace.application=Usergrid_Applications
cassandra.keyspace.replication=us-east__us-east-1a:1,us-east__us-east-1b:1
cassandra.keyspace.strategy=org.apache.cassandra.locator.NetworkTopologyStrategy

hystrix.threadpool.graph_user.coreSize=40
hystrix.threadpool.graph_async.coreSize=40

# Set the Cassandra consistency levels for use in the cluster. With large
# clusters, > 3 nodes, these settings could impact read and write performance.
# For balanced data consistency and performance, choose LOCAL_QUORUM.
#
# Usergrid currently uses two different Cassandra drivers (hector and astyanax).
#
# For hector:
#     cassandra.readcl
#     cassandra.writecl
#
# For astyanax:
#     usergrid.read.cl
#     usergrid.write.cl
#
# You should configure these to use the same consistency levels.  For possible
# values, see the following docs for each client:
#
#  hector: <http://hector-client.github.io/hector/build/html/content/consistency_level.html>
#  astyanax : <http://netflix.github.io/astyanax/javadoc/com/netflix/astyanax/model/ConsistencyLevel.html>

# Set the read consistency level.  This is the default Usergrid read consistency.
#
cassandra.readcl=ALL
usergrid.read.cl=CL_ALL

# Set the write consistency level.  This is the default Usergrid write consistency.
#
cassandra.writecl=ALL
usergrid.write.cl=CL_ALL

# Set the cache size and timeout for entities
#
usergrid.entity_cache_size=200
usergrid.entity_cache_timeout_ms=500

# Set the Cassandra keyspace to use for locking.
#
# NOTE: If this instance is deployed in a production cluster, the replication factor (RF)
#       on this keyspace MUST be updated to use an odd number. Even numbers for RF can
#       potentially cause the locks to fail, via "split brain" when read at QUORUM
#       on lock verification.
#
#
cassandra.lock.keyspace=Locks

# Set read and write consistency level for locking.
#
# NOTE: Used by hector client only.
#
cassandra.lock.readcl=LOCAL_QUORUM
cassandra.lock.writecl=LOCAL_QUORUM

############################ Usergrid Queuing  ##########################
#
# Usergrid implements queueing to help provide optimal read/write performance.
# The below properties are used to change queue providers and tune Usergrid
# for reading and processing data from the queues.
#
#

# Set the timeout in locks from reading messages transitionally from a queue. (in seconds)
#
usergrid.queue.lock.timeout=5

##################### Async Threadpool Settings #####################

# Set the number of threads available in the Rx Async Thread Pool
scheduler.io.threads=100

elasticsearch.embedded=false
elasticsearch.cluster_name=bluemac
elasticsearch.index_prefix=usergrid
elasticsearch.hosts=10.0.4.95,10.0.5.63
elasticsearch.port=9300

elasticsearch.number_shards=16
elasticsearch.number_replicas=1
elasticsearch.management_number_shards=16
elasticsearch.management_number_replicas=1

# Set a flag to force refresh the index after every write into the index. This
# setting is not advised to be set to TRUE as it will have a tremendous impact
# negatively on performance.  USE THIS ONLY FOR TESTING
#elasticsearch.force_refresh=false

index.query.limit.default=100

######################################################
# Custom mail transport

mail.transport.protocol=smtps
mail.smtps.host=smtp.gmail.com
mail.smtps.port=465
mail.smtps.auth=true
mail.smtps.quitwait=false
# CAUTION: THERE IS A PASSWORD HERE!
mail.smtps.username=me@gmail.com
mail.smtps.password=xyz124733666222dfdfd

###############################  Usergrid Assets  #############################
#
# Usergrid provides the ability to store assets (images, binary data,etc.).  The
# configurations for where to store this information are below.
#

# Set the bucket name used for storing assets.
#
usergrid.binary.bucketname=usergrid-binaries

# Set the maximum size for a single asset (in MB).
#
#usergrid.binary.max-size-mb=50

# Set the number of worker threads available for uploading assets to a remote
# storage provider.  (Amazon S3 currently supported)
#usergrid.binary.upload-workers=40

# Set the location for storing and temporary files.
#
usergrid.temp.files=/tmp/usergrid

# Set the implementation of binary uploading to be used
# Aws for aws s3 uploading, local
usergrid.binary.uploader=local

# Set the flag to disable the Usergrid Mongo Emulation Server
#
usergrid.mongo.disable=true

# Set the flag to disable WebSocket support
#
usergrid.websocket.disable=true

# Set batch size for when to submit counter batches.
#
usergrid.counter.batch.size=50000

# Set the time interval for when to submit counter batches.
#
usergrid.counter.batch.interval=30

# Set build number for display
# Note: version is obtained from the pom.xml
#
# usergrid.version.build=version

# Usergrid will cache computed authentication and authorization information in Cassandra.
# The cache time-to-live is specified in seconds and defaults to the value below.
# Setting to zero will disable the authentication cache.
#
usergrid.auth.cache.time-to-live=3600

# Default connection types to return for an entity (fewer connection types increases performance)
# none, in (only connections inbound to the entity), out (only connections outbound from the entity),
# all (= in + out)'
usergrid.rest.default-connection-param=all




######################################################
# Admin and test user setup

usergrid.sysadmin.login.name=superuser
usergrid.sysadmin.login.email=sysadmin@gmail.com
usergrid.sysadmin.login.password=abc123
usergrid.sysadmin.login.allowed=true
usergrid.sysadmin.email=sys@gmail.com

usergrid.sysadmin.approve.users=false
usergrid.sysadmin.approve.organizations=false

# Base mailer account - default for all outgoing messages
usergrid.management.mailer=mgt@gmail.com

usergrid.setup-test-account=true

usergrid.test-account.app=test-app
usergrid.test-account.organization=test-organization
usergrid.test-account.admin-user.username=test
usergrid.test-account.admin-user.name=Test User
usergrid.test-account.admin-user.email=${testAdminEmail}
usergrid.test-account.admin-user.password=test123

######################################################
# Auto-confirm and sign-up notifications settings

usergrid.management.admin_users_require_confirmation=false
usergrid.management.admin_users_require_activation=false

usergrid.management.organizations_require_activation=false
usergrid.management.notify_sysadmin_of_new_organizations=true
usergrid.management.notify_sysadmin_of_new_admin_users=true
######################################################
# URLs

# Redirect path when request come in for TLD
usergrid.redirect_root=http://localhost:8080/status

usergrid.view.management.organizations.organization.activate=http://localhost:8080/accounts/welcome
usergrid.view.management.organizations.organization.confirm=http://localhost:8080/accounts/welcome
usergrid.view.management.users.user.activate=http://localhost:8080/accounts/welcome
usergrid.view.management.users.user.confirm=http://localhost:8080/accounts/welcome

usergrid.organization.activation.url=http://localhost:8080/management/organizations/%s/activate
usergrid.admin.activation.url=http://localhost:8080/management/users/%s/activate
usergrid.admin.resetpw.url=http://localhost:8080/management/users/%s/resetpw
usergrid.admin.confirmation.url=http://localhost:8080/management/users/%s/confirm
usergrid.user.activation.url=http://localhost:8080/%s/%s/users/%s/activate
usergrid.user.confirmation.url=http://localhost:8080/%s/%s/users/%s/confirm
usergrid.user.resetpw.url=http://localhost:8080/%s/%s/users/%s/resetpw

# no trailing slash
usergrid.api.url.base=http://localhost:8080/ROOT


# org config property name regex
# don't use backslashes in the regex, as they don't play well in properties files
# instead, use character class ([.] instead of backslash-period)
usergrid.org.config.property.regex=usergrid[.]view[.].*